# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name numbers

%global common_summary Instances of numerical classes for numbers

%global common_description The %{pkg_name} package provides instances of \
the numerical classes for a variety of different numbers: (computable) real \
numbers, arbitrary precision fixed numbers, arbitrary precision floating \
point numbers, differentiable numbers, symbolic numbers, natural numbers, \
interval arithmetic. 

Name:           ghc-%{pkg_name}
Version:        3000.1.0.3
Release:        1%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Mon Mar 18 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3000.1.0.3-1
- new upstream version 3000.1.0.3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3000.1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 3000.1.0.1-2
- update with cabal-rpm

* Thu Oct 18 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3000.1.0.1-1
- Updated to new upstream release 3000.1.0.1

* Tue Jul 31 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3000.0.0.0-2
- Updated summary and description.

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3000.0.0.0-1
- Spec file template generated by cabal2spec-0.25.5.
